It is currently Sat Oct 31, 2020 8:17 am

All times are UTC + 1 hour




Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 10:33 am 
Offline
Addict
Addict
User avatar

Joined: Sat Apr 26, 2003 8:26 am
Posts: 2991
Location: Planet Earth
I always get the following linker error with PB 5.72 LTS x86 on macOS Mojave 10.14.6 and latest Xcode installed:

Image

Is this a possible bug with the x86 version?


Top
 Profile  
Reply with quote  
 Post subject: Re: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 1:41 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2689
Location: Germany
Unfortunately I only have a VM with High Sierra.

Here runs PB-v5.72 (x86) under High Sierra

Test this code
Code:
Import "-stdlib=libc++ -mmacosx-version-min=10.9" : EndImport

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 4:27 pm 
Offline
Addict
Addict
User avatar

Joined: Sat Apr 26, 2003 8:26 am
Posts: 2991
Location: Planet Earth
Thanks mk-soft, but it did not help. Error message is now:
Quote:
PureBasic - Linker error

Code:
ld: warning: The i386 architecture is deprecated for macOS (remove from the Xcode build setting: ARCHS)
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libpthread.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libpthread.tbd
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libm.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libm.tbd
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks//Cocoa.framework/Cocoa.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks//Cocoa.framework/Cocoa.tbd
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks//Carbon.framework/Carbon.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks//Carbon.framework/Carbon.tbd
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libc.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libc.tbd
ld: warning: ignoring file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libSystem.tbd, missing required architecture i386 in file /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib/libSystem.tbd
...
clang: error: linker command failed with exit code 1 (use -v to see invocation)


Looks like the time of 32-bit i386 is over now. It's not a big problem anyway... ;) :lol:


Top
 Profile  
Reply with quote  
 Post subject: Re: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 5:50 pm 
Offline
Addict
Addict
User avatar

Joined: Thu Apr 21, 2005 2:38 pm
Posts: 1772
Location: Germany
Danilo wrote:
I always get the following linker error with PB 5.72 LTS x86 on macOS Mojave 10.14.6 and latest Xcode installed:

Beginning with Xcode 10 Apple has removed the support to compile x86 apps:
The macOS 10.14 SDK no longer contains support for compiling 32-bit applications. If developers need to compile for i386, Xcode 9.4 or earlier is required. (39858111)


Top
 Profile  
Reply with quote  
 Post subject: Re: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 6:31 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2689
Location: Germany
I work under macOS High Sierra (VM) with Xcode Version 10.1 (10B61)

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: [5.72 LTS x86] Linker error (libstdc++ / libc++)
PostPosted: Sun Apr 26, 2020 7:33 pm 
Offline
Addict
Addict
User avatar

Joined: Sat Apr 26, 2003 8:26 am
Posts: 2991
Location: Planet Earth
Thanks Shardik! :thumbsup:


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 6 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye